> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.iklim.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Rota kaydet

> Kalkış saati ve süre bilgisiyle yeni bir rota kaydeder. Mevcut ve sonraki rota segmentleri için hava durumu ve konum durumunu döndürür.



## OpenAPI

````yaml /open-api/tr/enroute_version-1.json post /v1/enroute/register
openapi: 3.1.0
info:
  title: OpenAPI definition
  version: v0
servers:
  - url: https://api.iklim.co
    description: Production server
  - url: https://api-test.iklim.co
    description: Test server
security: []
tags:
  - name: Enroute
    description: Sürücüler için hava durumu destekli rota planlama API'si
paths:
  /v1/enroute/register:
    post:
      tags:
        - Enroute
      summary: Rota kaydet
      description: >-
        Kalkış saati ve süre bilgisiyle yeni bir rota kaydeder. Mevcut ve
        sonraki rota segmentleri için hava durumu ve konum durumunu döndürür.
      operationId: registerRoute
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterRouteRequest'
        required: true
      responses:
        '200':
          description: Rota başarıyla kaydedildi
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RouteRegistrationResponse'
        '400':
          description: Geçersiz rota geometrisi sağlandı
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Invalid route geometry provided:
                  summary: Example response
                  description: Invalid route geometry provided
                  value:
                    timestamp: '2025-04-14T16:58:10.414972912'
                    status: 400
                    error: Invalid Route
                    message: >-
                      Either 'encodedPolyline' or 'coordinates with precision'
                      must be provided.
                    path: /enroute/register
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '402':
          description: Ücretli Abonelik Gerekli
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Payment Required:
                  summary: Example response
                  description: Payment Required
                  value:
                    timestamp: '2025-06-25T11:15:41.429518242'
                    status: 402
                    error: Payment Required
                    message: You Need To Renew Your Subscription or Purchase New One
                    path: /v1/thunderstorms/page
        '403':
          description: Yasak/İzin Verilmiyor
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                No Subscription Found For This Service Endpoint:
                  summary: Missing Subscription
                  description: No Subscription Found For This Service Endpoint
                  value:
                    timestamp: '2025-06-25T11:21:50.510755746'
                    status: 403
                    error: Forbidden
                    message: No Subscription Found For This Service Endpoint
                    path: /v1/thunderstorms/page
                This Location Is Not In Allowed Geographic Boundaries:
                  summary: Out of Allowed Geographic Boundaries
                  description: This Location Is Not In Allowed Geographic Boundaries
                  value:
                    timestamp: '2025-06-25T15:59:19.452326857'
                    status: 403
                    error: Forbidden
                    message: >-
                      The Location You Are Querying [dd.ddddd, dd.ddddd] Is Not
                      Within The Geographic Boundaries Allowed In Your
                      Subscription [Country, Region]
                    path: /v1/thunderstorms/page
        '409':
          description: Conflict
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
        '429':
          description: Bu Hizmet İçin Abonelik Limitleri Aşıldı
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Too Many Requests:
                  summary: Example response
                  description: Too Many Requests
                  value:
                    timestamp: '2025-06-25T11:02:12.653874655'
                    status: 429
                    error: Too Many Requests
                    message: Your Subscription Limits For This Service is Exceeded
                    path: /v1/thunderstorms/page
        '500':
          description: İstek Sırasında Dahili Sunucu Hatası
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StandardErrorResponse'
              examples:
                Internal Server Error Example:
                  summary: Example response
                  description: Internal Server Error Example
                  value:
                    timestamp: '2025-04-14T16:58:10.414972912'
                    status: 500
                    error: Internal Server Error
                    message: An Error Occurred During Invocation
                    path: /endpoint/uri/here
components:
  schemas:
    RegisterRouteRequest:
      type: object
      properties:
        origin:
          $ref: '#/components/schemas/GeoPoint'
          description: Rotanın başlangıç noktası
        destination:
          $ref: '#/components/schemas/GeoPoint'
          description: Rotanın bitiş noktası
        departureTime:
          type: string
          format: date-time
          description: Planlanan kalkış zamanı, Unix epoch milisaniye cinsinden
        distanceMeters:
          type: integer
          format: int32
          description: Toplam rota mesafesi, metre cinsinden
        durationSeconds:
          type: integer
          format: int32
          description: Beklenen toplam seyahat süresi, saniye cinsinden
        geometry:
          $ref: '#/components/schemas/RouteGeometry'
          description: >-
            Rota geometrisi; kodlanmış bir polyline veya koordinat listesi
            olarak sağlanır
        waypoints:
          type: array
          description: >-
            Kullanıcı tanımlı opsiyonel ara duraklar (örneğin yakıt durakları,
            dinlenme alanları); bunlar semantik duraklar olup H3 algılama için
            kullanılan yoğun yol koordinatlarından farklıdır
          items:
            $ref: '#/components/schemas/GeoPoint'
      required:
        - departureTime
        - destination
        - distanceMeters
        - durationSeconds
        - geometry
        - origin
    RouteRegistrationResponse:
      type: object
      properties:
        routeId:
          type: string
          format: uuid
          description: Kaydedilen rotaya atanan benzersiz tanımlayıcı
        expirationTime:
          type: string
          format: date-time
          description: Rota kaydının son geçerlilik zamanı, Unix epoch milisaniye cinsinden
        distanceUnit:
          type: string
          description: Bu yanıttaki mesafe değerleri için kullanılan birim
        status:
          $ref: '#/components/schemas/LocationStatus'
          description: Sürücünün rota üzerindeki mevcut konum ve ilerleme durumu
        currentSegment:
          $ref: '#/components/schemas/NowcastRouteSegment'
          description: Sürücünün şu anda bulunduğu rota segmenti
        upcomingSegments:
          type: array
          description: Sürücünün önündeki yaklaşan rota segmentlerinin listesi
          items:
            $ref: '#/components/schemas/ForecastRouteSegment'
    StandardErrorResponse:
      type: object
      description: Standart API hata cevabı yapısı
      properties:
        timestamp:
          type: string
          format: date-time
          description: Hatanın oluştuğu zaman damgası
          example: YYYY-mm-DDTHH:MM:SS.nnnnnnnnn
        status:
          type: integer
          format: int32
          description: HTTP durum kodu
          example: XXX
        error:
          type: string
          description: Hata adı veya tipi
          example: Error Name
          minLength: 1
        message:
          type: string
          description: Ana hata mesajı
          example: Error Message
          minLength: 1
        messages:
          type: array
          description: Ek detaylı hata mesajları
          items:
            type: string
        path:
          type: string
          description: Hatanın oluştuğu istek yolu
          example: /endpoint/uri/here
          minLength: 1
      required:
        - error
        - message
        - path
        - status
        - timestamp
    GeoPoint:
      type: object
      properties:
        lng:
          type: number
          format: double
          description: Boylam koordinatı.
          example: 32.857358
          maximum: 180
          minimum: -180
        lat:
          type: number
          format: double
          description: Enlem koordinatı.
          example: 39.93504
          maximum: 90
          minimum: -90
      required:
        - lat
        - lng
    RouteGeometry:
      type: object
      properties:
        encodedPolyline:
          type: string
          description: Yol geometrisini temsil eden Google/Mapbox kodlanmış polyline dizisi
        polylinePrecision:
          type: integer
          format: int32
          description: >-
            Kodlanmış polyline'ı çözümlemek için kullanılan hassasiyet faktörü;
            varsayılan 5, Mapbox yüksek hassasiyet 6'dır
        coordinates:
          type: array
          description: >-
            Yol geometrisini temsil eden sıralanmış coğrafi koordinat listesi;
            kodlanmış polyline mevcut olmadığı durumlarda yedek olarak
            kullanılır
          items:
            $ref: '#/components/schemas/GeoPoint'
    LocationStatus:
      type: object
      properties:
        progressPercentage:
          type: number
          format: double
          description: Sürücünün rota üzerindeki ilerleme yüzde si (0-100)
        distanceTraveled:
          type: number
          format: double
          description: Sürücünün rota kaydınden bu yana kat ettiği toplam mesafe
        remainingDistance:
          type: number
          format: double
          description: Hedefe kalan mesafe
        timeElapsedSeconds:
          type: integer
          format: int64
          description: Rota kaydınden bu yana geçen süre, saniye cinsinden
        estimatedTimeRemainingSeconds:
          type: integer
          format: int64
          description: Hedefe ulaşmak için tahmini kalan süre, saniye cinsinden
        scheduleDeviationSeconds:
          type: integer
          format: int64
          description: >-
            Planlanan programdan sapma, saniye cinsinden; pozitif değer
            programın önünde, negatif değer programın gerisinde olduğunu
            belirtir
        expectedSegmentIndex:
          type: integer
          format: int32
          description: >-
            Orijinal programa göre sürücünün içinde olması beklenen rota
            segmentının sıfır tabanlı indeksi
        estimatedArrivalTime:
          type: string
          format: date-time
          description: >-
            Hedefe tahmini varış zamanı, Unix epoch saniyesi olarak ifade
            edilir; tahmini varış rota geçerlilik süresini aşıyorsa rota
            geçerlilik zamanı ile sınırlandırılır
    NowcastRouteSegment:
      type: object
      properties:
        index:
          type: integer
          format: int32
          description: Bu segmentin rota içindeki sıfır tabanlı konumu
        h3Address:
          type: string
          description: Bu segmenti kapsayan Uber H3 hücre adresi (resolution 5)
        eta:
          type: string
          format: date-time
          description: Bu segmente tahmini varış zamanı (Estimated Time of Arrival)
        etd:
          type: string
          format: date-time
          description: Bu segmentten tahmini ayrılış zamanı (Estimated Time of Departure)
        distanceToEntry:
          type: number
          format: double
          description: Sürücünün mevcut konumundan bu segmentin giriş noktasına olan mesafe
        distanceToExit:
          type: number
          format: double
          description: Sürücünün mevcut konumundan bu segmentin çıkış noktasına olan mesafe
        arrivalPoint:
          $ref: '#/components/schemas/GeoPoint'
          description: Bu segmentin varış noktasının coğrafi koordinatları
        departurePoint:
          $ref: '#/components/schemas/GeoPoint'
          description: Bu segmentin ayrılış noktasının coğrafi koordinatları
        weatherEvents:
          $ref: '#/components/schemas/NowcastWeatherEvents'
          description: Bu segmentle ilişkili hava durumu olayları ve koşulları
    ForecastRouteSegment:
      type: object
      properties:
        index:
          type: integer
          format: int32
          description: Bu segmentin rota içindeki sıfır tabanlı konumu
        h3Address:
          type: string
          description: Bu segmenti kapsayan Uber H3 hücre adresi (resolution 5)
        eta:
          type: string
          format: date-time
          description: Bu segmente tahmini varış zamanı (Estimated Time of Arrival)
        etd:
          type: string
          format: date-time
          description: Bu segmentten tahmini ayrılış zamanı (Estimated Time of Departure)
        distanceToEntry:
          type: number
          format: double
          description: Sürücünün mevcut konumundan bu segmentin giriş noktasına olan mesafe
        distanceToExit:
          type: number
          format: double
          description: Sürücünün mevcut konumundan bu segmentin çıkış noktasına olan mesafe
        arrivalPoint:
          $ref: '#/components/schemas/GeoPoint'
          description: Bu segmentin varış noktasının coğrafi koordinatları
        departurePoint:
          $ref: '#/components/schemas/GeoPoint'
          description: Bu segmentin ayrılış noktasının coğrafi koordinatları
        weatherEvents:
          $ref: '#/components/schemas/ForecastWeatherEvents'
          description: Bu segmentle ilişkili hava durumu olayları ve koşulları
    NowcastWeatherEvents:
      type: object
      properties:
        temperature:
          type: number
          format: double
          description: Santigrat derece (°C) cinsinden hava sıcaklığı
        apparentTemperature:
          type: number
          format: double
          description: Santigrat derece (°C) cinsinden hissedilen sıcaklık
        humidity:
          type: number
          format: double
          description: Yüzde (%) cinsinden bağıl nem
        cloudCover:
          type: number
          format: double
          description: Yüzde (%) cinsinden bulut örtüsü
        windSpeed:
          type: number
          format: double
          description: Saatte kilometre (km/sa) cinsinden rüzgar hızı
        windGust:
          type: number
          format: double
          description: Saatte kilometre (km/sa) cinsinden rüzgar hamlesi hızı
        windDirection:
          type: integer
          format: int32
          description: Kuzeyden saat yönünde ölçülen derece cinsinden rüzgar yönü
        snowFall:
          type: number
          format: double
          description: Santimetre (cm) cinsinden kar yağışı miktarı
        precipitation:
          type: number
          format: double
          description: Milimetre (mm) cinsinden yağış miktarı
        precipitationProbability:
          type: number
          format: double
          description: >-
            Yüzde (%) cinsinden yağış olasılığı; yalnızca saatlik tahmin için
            mevcuttur
        visibility:
          type: number
          format: double
          description: >-
            Metre (m) cinsinden görünürlük; yalnızca saatlik tahmin için
            mevcuttur
        lightningSummary:
          $ref: '#/components/schemas/LightningSummary'
          description: Bu segment için yıldırım/şimşek aktivitesi özeti
        thunderstormSummary:
          $ref: '#/components/schemas/ThunderstormSummary'
          description: Bu segment için fırtına aktivitesi özeti
        precipitationSummary:
          $ref: '#/components/schemas/PrecipitationSummary'
          description: Bu segment için yağış aktivitesi özeti
    ForecastWeatherEvents:
      type: object
      properties:
        temperature:
          type: number
          format: double
          description: Santigrat derece (°C) cinsinden hava sıcaklığı
        apparentTemperature:
          type: number
          format: double
          description: Santigrat derece (°C) cinsinden hissedilen sıcaklık
        humidity:
          type: number
          format: double
          description: Yüzde (%) cinsinden bağıl nem
        cloudCover:
          type: number
          format: double
          description: Yüzde (%) cinsinden bulut örtüsü
        windSpeed:
          type: number
          format: double
          description: Saatte kilometre (km/sa) cinsinden rüzgar hızı
        windGust:
          type: number
          format: double
          description: Saatte kilometre (km/sa) cinsinden rüzgar hamlesi hızı
        windDirection:
          type: integer
          format: int32
          description: Kuzeyden saat yönünde ölçülen derece cinsinden rüzgar yönü
        snowFall:
          type: number
          format: double
          description: Santimetre (cm) cinsinden kar yağışı miktarı
        precipitation:
          type: number
          format: double
          description: Milimetre (mm) cinsinden yağış miktarı
        precipitationProbability:
          type: number
          format: double
          description: >-
            Yüzde (%) cinsinden yağış olasılığı; yalnızca saatlik tahmin için
            mevcuttur
        visibility:
          type: number
          format: double
          description: >-
            Metre (m) cinsinden görünürlük; yalnızca saatlik tahmin için
            mevcuttur
    LightningSummary:
      type: object
      properties:
        windowMinutes:
          type: integer
          format: int32
          description: >-
            Hesaplamada dikkate alınan toplam geçmiş zaman penceresi süresi,
            dakika cinsinden.
        bucketMinutes:
          type: integer
          format: int32
          description: >-
            Trend hesaplamasında kullanılan alt zaman dilimi süresi, dakika
            cinsinden.
        totalEventCount:
          type: integer
          format: int32
          description: >-
            Tanımlı zaman penceresi içinde sürücünün konumuna göre
            değerlendirilen toplam yıldırım/şimşek olay sayısı.
        cgFlashCount:
          type: integer
          format: int32
          description: >-
            Tanımlı zaman penceresi içinde tespit edilen bulut-yer arası
            yıldırım olaylarının sayısı.
        icPulseCount:
          type: integer
          format: int32
          description: >-
            Tanımlı zaman penceresi içinde tespit edilen bulut içi şimşek
            olaylarının sayısı.
        lastEventAgeSec:
          type: integer
          format: int64
          description: >-
            Tespit edilen en son yıldırım/şimşek olayının üzerinden geçen süre,
            saniye cinsinden.
        lastFlashAgeSec:
          type: integer
          format: int64
          description: >-
            Tespit edilen en son yıldırım olayının üzerinden geçen süre, saniye
            cinsinden.
        lastPulseAgeSec:
          type: integer
          format: int64
          description: >-
            Tespit edilen en son şimşek olayının üzerinden geçen süre, saniye
            cinsinden.
        nearestEventDistance:
          type: number
          format: double
          description: >-
            Sürücünün anlık konumu referans alınarak hesaplanan en yakın
            yıldırım/şimşek olayının mesafesi, metre cinsinden.
        nearestFlashDistance:
          type: number
          format: double
          description: >-
            Sürücünün anlık konumu referans alınarak hesaplanan en yakın
            yıldırım olayının mesafesi, metre cinsinden.
        nearestPulseDistance:
          type: number
          format: double
          description: >-
            Sürücünün anlık konumu referans alınarak hesaplanan en yakın şimşek
            olayının mesafesi, metre cinsinden.
        maxPeakCurrent:
          type: number
          format: double
          description: >-
            Tanımlı zaman penceresi içindeki olaylar arasında tespit edilen en
            yüksek mutlak peak current değeri, amper cinsinden.
        avgPeakCurrent:
          type: number
          format: double
          description: >-
            Tanımlı zaman penceresi içindeki olayların ortalama mutlak peak
            current değeri, amper cinsinden.
        avgSensorCount:
          type: number
          format: double
          description: >-
            Tanımlı zaman penceresi içindeki olayların konum tespitinde
            kullanılan ortalama sensör sayısı.
        confidenceScore:
          type: number
          format: double
          description: >-
            Olayların sensör sayısına göre 0 ile 100 arasında normalize edilmiş
            güven skoru.
        confidenceLevel:
          type: string
          description: >-
            Güven skorundan türetilen sınıflandırılmış güven seviyesidir. Olası
            değerler: LOW, MEDIUM, HIGH.
          enum:
            - LOW
            - MEDIUM
            - HIGH
        riskIndex:
          type: number
          format: double
          description: >-
            Olay türü, sürücüye olan yakınlık, zaman, peak current, sensör
            sayısı ve multiplicity gibi etkenler kullanılarak 0 ile 100 arasında
            hesaplanan normalize edilmiş göreli risk indeksidir; olasılık yüzdes
            i değildir.
        riskLevel:
          type: string
          description: >-
            Risk indeksinden türetilen sınıflandırılmış risk seviyesidir. Olası
            değerler: NONE, LOW, MEDIUM, HIGH, EXTREME.
          enum:
            - NONE
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        trend:
          type: string
          description: >-
            Son alt zaman dilimi ile bir önceki alt zaman diliminin risk
            indeksleri karşılaştırılarak üretilen trend bilgisidir. Olası
            değerler: UNKNOWN, DECREASING, STABLE, INCREASING.
          enum:
            - UNKNOWN
            - DECREASING
            - STABLE
            - INCREASING
    ThunderstormSummary:
      type: object
      properties:
        windowMinutes:
          type: integer
          format: int32
          description: >-
            Hesaplamada dikkate alınan toplam geçmiş zaman penceresi süresi,
            dakika cinsinden.
        bucketMinutes:
          type: integer
          format: int32
          description: >-
            Trend hesaplamasında kullanılan alt zaman dilimi süresi, dakika
            cinsinden.
        summary:
          $ref: '#/components/schemas/Summary'
          description: Geçmiş zaman penceresi içindeki fırtına aktivitesinin toplu özeti.
        activeStorms:
          type: array
          description: Şu anda aktif olan fırtına olaylarının listesi.
          items:
            $ref: '#/components/schemas/ActiveStorm'
    PrecipitationSummary:
      type: object
      properties:
        windowMinutes:
          type: integer
          format: int32
          description: >-
            Hesaplamada dikkate alınan toplam geçmiş zaman penceresi süresi,
            dakika cinsinden.
        bucketMinutes:
          type: integer
          format: int32
          description: >-
            Trend hesaplamasında kullanılan alt zaman dilimi süresi, dakika
            cinsinden.
        currentIntensity:
          type: string
          description: En güncel nowcast kaydına göre anlık yağış yoğunluğu.
          enum:
            - DRIZZLE
            - LIGHT
            - MODERATE
            - HEAVY
            - VERY_HEAVY
            - EXTREME
        isPrecipitating:
          type: boolean
          description: >-
            En güncel nowcast kaydına göre şu anda yağış olup olmadığını
            belirtir.
        radarTimeStamp:
          type: integer
          format: int64
          description: >-
            Mevcut durum için kullanılan radar verisinin zaman damgası, Unix
            epoch saniye cinsinden.
        dataAgeSec:
          type: integer
          format: int64
          description: Mevcut durum için kullanılan radar verisinin yaşı, saniye cinsinden.
        radarSnapshotCount:
          type: integer
          format: int32
          description: >-
            Pencere özeti hesaplamasında kullanılan radar anlık görüntüsü
            sayısı.
        maxIntensity:
          type: string
          description: Geçmiş zaman penceresi içinde gözlemlenen maksimum yağış yoğunluğu.
          enum:
            - DRIZZLE
            - LIGHT
            - MODERATE
            - HEAVY
            - VERY_HEAVY
            - EXTREME
        trend:
          type: string
          description: >-
            Geçmiş zaman penceresi içindeki yağış yoğunluğu trendi. Olası
            değerler: INCREASING, STABLE, DECREASING, UNKNOWN.
          enum:
            - INCREASING
            - STABLE
            - DECREASING
            - UNKNOWN
        riskLevel:
          type: string
          description: >-
            Yağış özetinden türetilen risk seviyesi. Olası değerler: NONE, LOW,
            MEDIUM, HIGH, EXTREME.
          enum:
            - NONE
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        forecastMaxIntensity:
          type: string
          description: Tahmin kayıtlarına göre maksimum tahmini yağış yoğunluğu.
          enum:
            - DRIZZLE
            - LIGHT
            - MODERATE
            - HEAVY
            - VERY_HEAVY
            - EXTREME
        expectedEndSec:
          type: integer
          format: int64
          description: >-
            Mevcut yağış olayının beklenen bitiş zamanı, Unix epoch saniye
            cinsinden.
        expectedStartSec:
          type: integer
          format: int64
          description: >-
            Sonraki yağış olayının beklenen başlangıç zamanı, Unix epoch saniye
            cinsinden.
    Summary:
      type: object
      properties:
        stormCount:
          type: integer
          format: int32
          description: >-
            Geçmiş zaman penceresi içinde tespit edilen toplam fırtına olayı
            sayısı.
        activeStorms:
          type: integer
          format: int32
          description: Şu anda aktif olan fırtına olaylarının sayısı.
        insideAnyThreatBoundary:
          type: boolean
          description: >-
            Sürücünün herhangi bir fırtınanın tehdit sınırı içinde olup
            olmadığını belirtir.
        nearestThreatBoundaryDistance:
          type: number
          format: double
          description: >-
            Sürücünün konumundan en yakın fırtına tehdit sınırına olan mesafe,
            metre cinsinden.
        nearestStormCentroidDistance:
          type: number
          format: double
          description: >-
            Sürücünün konumundan en yakın fırtına merkezine olan mesafe, metre
            cinsinden.
        maxSeverity:
          type: string
          description: >-
            Tespit edilen tüm fırtınalar arasındaki maksimum şiddet seviyesi.
            Olası değerler: LOW, NORMAL, HIGH, UNKNOWN.
          enum:
            - LOW
            - NORMAL
            - HIGH
            - UNKNOWN
        lastEventAge:
          type: integer
          format: int64
          description: En son fırtına olayından bu yana geçen süre, saniye cinsinden.
        riskScore:
          type: integer
          format: int32
          description: >-
            Fırtına aktivitesi için toplu risk skoru, 0 ile 100 arasında
            normalize edilmiş.
        riskLevel:
          type: string
          description: >-
            Risk skorundan türetilen risk seviyesi. Olası değerler: LOW, MEDIUM,
            HIGH, EXTREME, UNKNOWN.
          enum:
            - NONE
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
            - UNKNOWN
        trend:
          type: string
          description: >-
            Fırtına aktivitesi trendi. Olası değerler: RISING, STABLE, FALLING,
            UNKNOWN.
          enum:
            - RISING
            - STABLE
            - FALLING
            - UNKNOWN
    ActiveStorm:
      type: object
      properties:
        eventId:
          type: string
          description: Fırtına olayının benzersiz tanımlayıcısı.
        severity:
          type: string
          description: >-
            Bu fırtınanın şiddet seviyesi. Olası değerler: LOW, NORMAL, HIGH,
            UNKNOWN.
          enum:
            - LOW
            - NORMAL
            - HIGH
            - UNKNOWN
        eventStartUtcEpoch:
          type: integer
          format: int64
          description: Fırtına olayının başlangıç zamanı, Unix epoch saniye cinsinden.
        eventEndUtcEpoch:
          type: integer
          format: int64
          description: Fırtına olayının bitiş zamanı, Unix epoch saniye cinsinden.
        eventAge:
          type: integer
          format: int64
          description: >-
            Fırtına olayının başlangıcından bu yana geçen süre, saniye
            cinsinden.
        cell:
          $ref: '#/components/schemas/Cell'
          description: Fırtına hücresinin fiziksel özellikleri.
        flashRates:
          $ref: '#/components/schemas/FlashRates'
          description: Bu fırtına olayı için yıldırım/şimşek oranı istatistikleri.
        threat:
          $ref: '#/components/schemas/Threat'
          description: Sürücünün konumuna göre tehdit yakınlık değerlendirmesi.
        score:
          $ref: '#/components/schemas/Score'
          description: Bu fırtına olayı için risk skoru değerlendirmesi.
    Cell:
      type: object
      properties:
        area:
          type: number
          format: double
          description: Fırtına hücresinin tahmini alanı, kilometrekare (km²) cinsinden.
        speed:
          type: number
          format: double
          description: Fırtına hücresinin hareket hızı, saatte kilometre (km/sa) cinsinden.
        direction:
          type: integer
          format: int32
          description: >-
            Fırtına hücresinin hareket yönü, kuzeyden saat yönünde ölçülen
            derece cinsinden.
        centroidDistance:
          type: number
          format: double
          description: >-
            Sürücünün konumundan fırtına hücresinin merkezine olan mesafe, metre
            cinsinden.
        directionFromDriver:
          type: string
          description: Fırtına hücresinin sürücünün konumuna göre göreli pusula yönü.
          enum:
            - 'N'
            - NNE
            - NE
            - ENE
            - E
            - ESE
            - SE
            - SSE
            - S
            - SSW
            - SW
            - WSW
            - W
            - WNW
            - NW
            - NNW
            - UNKNOWN
        bearingFromDriver:
          type: integer
          format: int32
          description: >-
            Sürücünün konumundan fırtına hücresine olan yön açısı, derece
            cinsinden.
    FlashRates:
      type: object
      properties:
        inCloud:
          type: number
          format: double
          description: Bu fırtına olayı için bulut içi yıldırım/şimşek oranı.
        cloudToGround:
          type: number
          format: double
          description: Bu fırtına olayı için bulut-yer arası yıldırım oranı.
        total:
          type: number
          format: double
          description: >-
            Bu fırtına olayı için toplam yıldırım/şimşek oranı (bulut içi +
            bulut-yer arası).
        cloudToGroundRatio:
          type: number
          format: double
          description: >-
            Bu fırtına olayındaki toplam yıldırım/şimşeğe oranla bulut-yer arası
            yıldırım oranı.
    Threat:
      type: object
      properties:
        insideThreatPolygon:
          type: boolean
          description: >-
            Sürücünün bu fırtınanın tehdit poligonu içinde olup olmadığını
            belirtir.
        distanceToThreatBoundary:
          type: number
          format: double
          description: >-
            Sürücünün konumundan fırtınanın tehdit sınırı poligonuna olan
            mesafe, metre cinsinden.
        directionFromDriver:
          type: string
          description: Fırtına tehdit sınırının sürücünün konumuna göre göreli pusula yönü.
          enum:
            - 'N'
            - NNE
            - NE
            - ENE
            - E
            - ESE
            - SE
            - SSE
            - S
            - SSW
            - SW
            - WSW
            - W
            - WNW
            - NW
            - NNW
            - UNKNOWN
        bearingFromDriver:
          type: integer
          format: int32
          description: >-
            Sürücünün konumundan fırtınanın tehdit sınırının en yakın noktasına
            olan yön açısı, derece cinsinden.
        approachState:
          type: string
          description: >-
            Fırtınanın sürücüye yaklaşıp yaklaşmadığını veya uzaklaşıp
            uzaklaşmadığını belirtir. Olası değerler: APPROACHING, MOVING_AWAY,
            STABLE, UNKNOWN.
          enum:
            - APPROACHING
            - MOVING_AWAY
            - STABLE
            - UNKNOWN
    Score:
      type: object
      properties:
        stormRiskScore:
          type: integer
          format: int32
          description: >-
            Bu bireysel fırtına için risk skoru, 0 ile 100 arasında normalize
            edilmiş.
        stormRiskLevel:
          type: string
          description: >-
            Bu fırtınanın risk skorundan türetilen risk seviyesi. Olası
            değerler: LOW, MEDIUM, HIGH, EXTREME, UNKNOWN.
          enum:
            - NONE
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
            - UNKNOWN

````